/**
* @file rmd160.h
* @brief RIPEMD-160 header
* @author Kosenkov
* @date 14.01.2019
*/

#ifndef __RMP160_H__
#define __RMP160_H__

#include "types.h"

#define RMD160CTX_INTRNL_SZ (64 + 4 + 4 + 5 * 4)

typedef struct _RMD160CTX
{
    uint8_t Intrnl[RMD160CTX_INTRNL_SZ];
} RMD160CTX;

void rmd160Init(RMD160CTX* ctx);
void rmd160Update(RMD160CTX* ctx, const uint8_t* data, Sz8 sz);
uint8_t* rmd160Final(RMD160CTX* ctx, const uint8_t* data, Sz8 sz);

#endif
