/**
* @file otp.h
* @brief otp header
* @author Kosenkov
* @date 18.05.2018
*/

#ifndef __OTP_H__
#define __OTP_H__

#include "types.h"

/**
* Reads data from OTP
*
* @param mem Address to write to
* @param otp Address in OTP to read from
* @param sz In 32-bits units
* @retval CM0_OK if success
* @retval CM0_FAIL otherwise
* @author Kosenkov
* @date 18.05.2018
*/
CM0_STATUS otpRead(uint32_t* mem, const uint32_t* otp, Sz32 sz);

/**
* Writes data to OTP
*
* @param mem Address to read from
* @param otp Address in OTP to write to
* @param sz In 32-bits units
* @retval CM0_OK if success
* @retval CM0_FAIL otherwise
* @author Kosenkov
* @date 18.05.2018
*/
CM0_STATUS otpWrite(const uint32_t* otp, uint32_t* mem, Sz32 sz);

#endif
